## arpack 3.0.2

=== debian/changelog ===
arpack (3.0.2-3) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Fix FTBFS on sh4 and sparc64 (Closes: #655305)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 11 Jan 2012 07:19:58 +0100

arpack (3.0.2-2) unstable; urgency=low

  * libparpack2 replaces libarpack2 (in order to allow the migration of the
    libparpack.so into libparpack2) (Closes: #653638)
  * idem for -dev & -dbg packages

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Dec 2011 23:58:09 +0100

arpack (3.0.2-1) unstable; urgency=low

  * New upstream release
  * This release has an explicit link against MPI fortran libs for parpack
    (Closes: #652264)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Dec 2011 14:02:15 +0100

arpack (3.0.1-2~exp3) experimental; urgency=low

  * Fix some symbols issues due to the previous MPI upload.
    MIPS, MIPSEL, S390 & S390X had issues

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 27 Dec 2011 12:04:08 +0100

arpack (3.0.1-2~exp2) experimental; urgency=low

  * debug.doc.gz were installed twice at the same place

  [ Joshua L. Phillips ]
   * Removed provided MPI header (mpif.h): bad for PARPACK/OpenMPI
   * debian/rules: Added include path for MPI headers
   * libarpack2.symbols: Fixed symbols for MPI
   (Closes: #639100)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 25 Dec 2011 23:52:23 +0100

arpack (3.0.1-2~exp1) experimental; urgency=low

  * Split arpack into two dedicated packages:
    - libarpack2 => serial packages
    - libparpack2 => MPI packages
    libarpack2 will depend for a while on libparpack2 to avoid any breakage.
    (idem for -dev & -dbg packages)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Dec 2011 17:03:32 +0100

=== debian/control ===
Source: arpack
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
 "Adam C. Powell, IV" <hazelsct@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: quilt, debhelper (>= 7.0.50), gfortran,
 libblas-dev, liblapack-dev, mpi-default-dev (>= 0.3), dh-autoreconf
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/arpack/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/arpack/
Homepage: http://forge.scilab.org/index.php/p/arpack-ng/

Package: libarpack2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libparpack2
Replaces: arpack2
Conflicts: arpack2
Description: Fortran77 subroutines to solve large scale eigenvalue problems
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 Important Features:
 .
  * Reverse Communication Interface.
  * Single and Double Precision Real Arithmetic Versions for Symmetric,
    Non-symmetric,
  * Standard or Generalized Problems.
  * Single and Double Precision Complex Arithmetic Versions for Standard or
    Generalized Problems.
  * Routines for Banded Matrices - Standard or Generalized Problems.
  * Routines for The Singular Value Decomposition.
  * Example driver routines that may be used as templates to implement
    numerous Shift-Invert strategies for all problem types, data types and
    precision.
 .
 This package contains the shared library.

Package: libarpack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:  libarpack2 (= ${binary:Version}), libblas-dev, liblapack-dev,
 libparpack2-dev, ${misc:Depends}
Replaces: arpack2-dev
Conflicts: arpack2-dev
Description: Fortran77 subroutines to solve large scale eigenvalue problems (development)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the static libraries and the documentation for
 development with libarpack (including examples).

Package: libarpack2-dbg
Section: debug
Architecture: any
Priority: extra
Depends:  libarpack2 (= ${binary:Version}), ${misc:Depends}
Description: Fortran77 subroutines to solve large scale eigenvalue problems (debug)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the debugging symbols for libarpack and libparpack.


Package: libparpack2
Section: libs
Architecture: any
Replaces: libarpack2
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parallel subroutines to solve large scale eigenvalue problems
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 Important Features:
 .
  * Reverse Communication Interface.
  * Single and Double Precision Real Arithmetic Versions for Symmetric,
    Non-symmetric,
  * Standard or Generalized Problems.
  * Single and Double Precision Complex Arithmetic Versions for Standard or
    Generalized Problems.
  * Routines for Banded Matrices - Standard or Generalized Problems.
  * Routines for The Singular Value Decomposition.
  * Example driver routines that may be used as templates to implement
    numerous Shift-Invert strategies for all problem types, data types and
    precision.
 .
 This package provides parpack: the MPI implementation of arpack.
 .
 This package contains the shared library.

Package: libparpack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends:  libparpack2 (= ${binary:Version}), libblas-dev, liblapack-dev, mpi-default-dev, ${misc:Depends}
Replaces: libarpack2-dev
Description: Parallel subroutines to solve large scale eigenvalue problems (development)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the static libraries and the documentation for
 development with libparpack (including examples).

Package: libparpack2-dbg
Section: debug
Architecture: any
Priority: extra
Depends:  libparpack2 (= ${binary:Version}), ${misc:Depends}
Replaces: libarpack2-dbg
Description: Parallel subroutines to solve large scale eigenvalue problems (debug)
 ARPACK software is capable of solving large scale symmetric,
 nonsymmetric, and generalized eigenproblems from significant
 application areas. The software is designed to compute a few (k)
 eigenvalues with user specified features such as those of largest
 real part or largest magnitude. Storage requirements are on the order
 of n*k locations. No auxiliary storage is required. A set of Schur
 basis vectors for the desired k-dimensional eigen-space is computed
 which is numerically orthogonal to working precision. Numerically
 accurate eigenvectors are available on request.
 .
 This package contains the debugging symbols for libparpack.

=== debian/watch ===
version=3
http://forge.scilab.org/index.php/p/arpack-ng/downloads/direct/ \
  .*/arpack_(.*).tar.gz

## arpack 3.1.0

=== debian/changelog ===
arpack (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Feb 2012 11:05:03 +0100

## arpack 3.1.1

=== PARPACK/SRC/BLACS/Makefile ===
############################################################################
#
#  Program:         PARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################

include ../../../ARmake.inc

############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(PARPACKLIB) in
#  $(home)/ARmake.inc and is created in the $(home) directory.

SOBJ  = psgetv0.o  \
	psnaitr.o psnapps.o psnaup2.o psnaupd.o psneigh.o psngets.o \
	pssaitr.o pssapps.o pssaup2.o pssaupd.o psseigt.o pssgets.o \
	psneupd.o psseupd.o pslarnv.o pslamch.o psnorm2.o

DOBJ  = pdgetv0.o \
	pdnaitr.o pdnapps.o pdnaup2.o pdnaupd.o pdneigh.o pdngets.o \
	pdsaitr.o pdsapps.o pdsaup2.o pdsaupd.o pdseigt.o pdsgets.o \
	pdneupd.o pdseupd.o pdlarnv.o pdlamch.o pdnorm2.o

COBJ  = pcnaitr.o pcnapps.o pcnaup2.o pcnaupd.o pcneigh.o \
		pcneupd.o pcngets.o pcgetv0.o pscnorm2.o pclarnv.o

ZOBJ  = pznaitr.o pznapps.o pznaup2.o pznaupd.o pzneigh.o \
		pzneupd.o pzngets.o pzgetv0.o pdznorm2.o pzlarnv.o

.f.o:
	$(FC) $(FFLAGS) -c $<

all: single complex double complex16

single: $(SOBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(SOBJ)
	$(RANLIB) $(PARPACKLIB)

double: $(DOBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(DOBJ)
	$(RANLIB) $(PARPACKLIB)

complex: $(COBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(COBJ)
	$(RANLIB) $(PARPACKLIB)

complex16: $(ZOBJ)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(ZOBJ)
	$(RANLIB) $(PARPACKLIB)

#
#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

=== PARPACK/UTIL/BLACS/Makefile ===
############################################################################
#
#  Program:         PARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################
 
include ../../../ARmake.inc
 
############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.
#

OBJS  = pivout.o

SOBJ  = psvout.o  psmout.o

DOBJ  = pdvout.o  pdmout.o

COBJ  = pcvout.o  pcmout.o 

ZOBJ  = pzvout.o  pzmout.o

.SUFFIXES:      .o .F .f

.f.o:
	$(FC) $(FFLAGS) -c $<
#
#  make the library containing both single and double precision
#
all: single complex double complex16
 
single: $(SOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(SOBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)
 
double: $(DOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(DOBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)
 
complex: $(COBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(COBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)
 
complex16: $(ZOBJ) $(OBJS)
	$(AR) $(ARFLAGS) $(PARPACKLIB) $(ZOBJ) $(OBJS)
	$(RANLIB) $(PARPACKLIB)

#
#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

=== debian/changelog ===
arpack (3.1.1-2) unstable; urgency=low

  * Update the symbol files. Thanks to Nobuhiro Iwamatsu (Closes: #666038)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 14 Jun 2012 10:44:36 +0200

arpack (3.1.1-1) unstable; urgency=low

  * New upstream release
  * Support of ppc64. Thanks to Hiroyuki Yamamoto (Closes: #670251)
  * update of the watch file

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 May 2012 11:50:58 +0200

arpack (3.1.0-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * update libparpack2.symbols. 

  [ Sylvestre Ledru ]
  * Standards-Version: 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Mar 2012 15:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: quilt, debhelper (>= 7.0.50), gfortran,
  libblas-dev, liblapack-dev, mpi-default-dev (>= 0.3), dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/arpack/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/arpack/
 Homepage: http://forge.scilab.org/index.php/p/arpack-ng/

## arpack 3.1.2

=== debian/changelog ===
arpack (3.1.2-2~exp1) experimental; urgency=low

  * Drop the dependency between libarpack2 => libparpack2 and
    libarpack2-dev => libparpack2-dev
    It was added to simplify the split between arpack serial and parallel.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 Aug 2012 10:04:49 +0200

arpack (3.1.2-1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 09 Aug 2012 10:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Package: libarpack2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libparpack2
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: arpack2
 Conflicts: arpack2
 Description: Fortran77 subroutines to solve large scale eigenvalue problems
@@ -50,7 +50,7 @@
 Priority: extra
 Architecture: any
 Depends:  libarpack2 (= ${binary:Version}), libblas-dev, liblapack-dev,
- libparpack2-dev, ${misc:Depends}
+ ${misc:Depends}
 Replaces: arpack2-dev
 Conflicts: arpack2-dev
 Description: Fortran77 subroutines to solve large scale eigenvalue problems (development)

## arpack 3.1.3

=== debian/changelog ===
arpack (3.1.3-3ubuntu1) saucy; urgency=low

  * libparpack2.symbols: Update symbols for arm64 as an mpich2 arch.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 15 Oct 2013 16:50:46 +0100

arpack (3.1.3-3) unstable; urgency=low

  * libparpack: Missing dependency on MPI (Closes: #718790)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Aug 2013 15:12:13 +0200

arpack (3.1.3-2) unstable; urgency=low

  * Update the symbols file for:
    mips, mipsel, s390, s390x and powerpcspe
    (Closes: #706940)
  * Reintroduce changes from 3.1.1-2.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 May 2013 13:59:56 +0200

arpack (3.1.3-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 09:18:26 +0200

arpack (3.1.3-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Apr 2013 10:56:27 +0200

arpack (3.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * libarpack2: add Breaks: octave3.2  (Closes: #684773)
    This fixes some upgrade paths by removing the obsolete octave3.2 (and its
    triggers) a bit earlier.  dpkg may run trigger processing of a package
    even if its dependencies are not satisfied.  The octave3.2 triggers may
    be run in such a state and will fail, aborting the upgrade, even if
    octave3.2 would be removed later anyway.
    This is a dpkg bug, but probably won't be fixed for wheezy (see #678848).

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 13 Sep 2012 21:01:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: arpack
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Christophe Prud'homme <prudhomm@debian.org>,
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: quilt, debhelper (>= 7.0.50), gfortran,
  libblas-dev, liblapack-dev, mpi-default-dev (>= 0.3), dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/arpack/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/arpack/
 Homepage: http://forge.scilab.org/index.php/p/arpack-ng/
@@ -18,6 +19,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: arpack2
 Conflicts: arpack2
+Breaks: octave3.2
 Description: Fortran77 subroutines to solve large scale eigenvalue problems
  ARPACK software is capable of solving large scale symmetric,
  nonsymmetric, and generalized eigenproblems from significant
